StarBitmap Class Reference

the main class to read/. More...

`#include <StarBitmap.hxx>`

## Public Member Functions

| StarBitmap ()
| constructor
| StarBitmap (uint32_t const((&pixels)[32]), STOFFColor const((&colors)[2]))
| constructor for pixmap 32*32
virtual | ~StarBitmap ()
| destructor
bool | readBitmap (StarZone &zone, bool inFileHeader, long lastPos, librevenge::RVNGBinaryData &data, std::string &type)
| low level
bool | getData (librevenge::RVNGBinaryData &data, std::string &type) const
| try to convert the read data in ppm
STOFFVec2i | getBitmapSize () const
| try to return the bitmap size (in point)

## Protected Member Functions

bool | readBitmapInformation (StarZone &zone, StarBitmapInternal::Bitmap &info, long lastPos)
| try to read the bitmap information block
bool | readBitmapData (STOFFInputStreamPtr &input, StarBitmapInternal::Bitmap &bitmap, long lastPos)
| try to read the bitmap data block

## Private Attributes

std::shared_ptr< StarBitmapInternal::State > | m_state
| the state

## Detailed Description

the main class to read/.

. some basic bitmap/pattern in StarOffice documents

## Constructor & Destructor Documentation

## StarBitmap() [1/2]

StarBitmap::StarBitmap | ( |  | ) |

constructor

## StarBitmap() [2/2]

StarBitmap::StarBitmap | ( | uint32_t const | (&pixels)[32],
|  | STOFFColor const | (&colors)[2] )

explicit

constructor for pixmap 32*32

## ~StarBitmap()

StarBitmap::~StarBitmap | ( |  | ) |

virtual

destructor

## Member Function Documentation

## getBitmapSize()

STOFFVec2i StarBitmap::getBitmapSize | ( |  | ) | const

try to return the bitmap size (in point)

Referenced by SDGParser::readBitmap().

## getData()

bool StarBitmap::getData | ( | librevenge::RVNGBinaryData & | data,
|  | std::string & | type ) const

try to convert the read data in ppm

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::read(), and SDGParser::readBitmap().

## readBitmap()

bool StarBitmap::readBitmap | ( | StarZone & | zone,
|  | bool | inFileHeader,
|  | long | lastPos,
|  | librevenge::RVNGBinaryData & | data,
|  | std::string & | type )

low level

try to read a bitmap

Note
  only fill data and type if the bitmap has a file header

Referenced by StarGraphicAttribute::StarGAttributeNamedBitmap::read(), StarGraphicStruct::StarGraphic::read(), StarObjectNumericRuler::readAttributeLevel(), SDGParser::readBitmap(), StarFileManager::readEmbeddedPicture(), StarObjectSmallGraphic::readSDROutlinerParaObject(), and StarFileManager::readSVGDI().

## readBitmapData()

bool StarBitmap::readBitmapData | ( | STOFFInputStreamPtr & | input,
|  | StarBitmapInternal::Bitmap & | bitmap,
|  | long | lastPos )

protected

try to read the bitmap data block

Referenced by readBitmap().

## readBitmapInformation()

bool StarBitmap::readBitmapInformation | ( | StarZone & | zone,
|  | StarBitmapInternal::Bitmap & | info,
|  | long | lastPos )

protected

try to read the bitmap information block

Referenced by readBitmap().

## Member Data Documentation

## m_state

std::shared_ptr<StarBitmapInternal::State> StarBitmap::m_state

private

the state

Referenced by getBitmapSize(), getData(), readBitmap(), StarBitmap(), and StarBitmap().

The documentation for this class was generated from the following files:

- StarBitmap.hxx
- StarBitmap.cxx